## gate.event
Class CreoleEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--gate.event.GateEvent
                  |
                  +--gate.event.CreoleEvent

All Implemented Interfaces:
  Serializable

public class CreoleEvent
extends GateEvent

Events related to the gate.creole package. This kind of events will be fired when resources are loaded or unloaded in the Gate system.

See Also:
  Serialized Form

Field Summary
`static int` `DATASTORE_CLOSED` Event type that mark the closing of a datastore
`static int` `DATASTORE_CREATED` Event type that marks the creation of a new datastore
`static int` `DATASTORE_OPENED` Event type that mark the opening of a datastore
`static int` `RESOURCE_LOADED` Event type that marks the loading of a new resource into the Gate system
`static int` `RESOURCE_UNLOADED` Event type that marks the unloading of a resource from the Gate system

Fields inherited from class gate.event.GateEvent
`FEATURES_UPDATED`

Constructor Summary
`CreoleEvent(DataStore datastore, int type)` Constructor
`CreoleEvent(Resource res, int type)` Constructor

Method Summary
`DataStore` `getDatastore()` Gets the `DataStore` that has been created/loaded/closed.
`Resource` `getResource()` Gets the resource that has been (un)loaded.

Methods inherited from class gate.event.GateEvent
`getType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCE_LOADED

    public static final int RESOURCE_LOADED

  Event type that marks the loading of a new resource into the Gate system

### RESOURCE_UNLOADED

    public static final int RESOURCE_UNLOADED

  Event type that marks the unloading of a resource from the Gate system

### DATASTORE_CREATED

    public static final int DATASTORE_CREATED

  Event type that marks the creation of a new datastore

### DATASTORE_OPENED

    public static final int DATASTORE_OPENED

  Event type that mark the opening of a datastore

### DATASTORE_CLOSED

    public static final int DATASTORE_CLOSED

  Event type that mark the closing of a datastore

Constructor Detail

### CreoleEvent

    public CreoleEvent(Resource res,
                       int type)

  Constructor
  Parameters:
    `res` - the `Resource` that has been (un)loaded
    `type` - the type of the event

### CreoleEvent

    public CreoleEvent(DataStore datastore,
                       int type)

  Constructor
  Parameters:
    `datastore` - the `DataStore` that has been created/loaded/closed.
    `type` - the type of the event

Method Detail

### getResource

    public Resource getResource()

  Gets the resource that has been (un)loaded.

### getDatastore

    public DataStore getDatastore()

  Gets the `DataStore` that has been created/loaded/closed.